## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iHazeHullCone Struct Reference
[Mesh plugins, Mesh plugins]

A predefined hull. More...

`#include <imesh/haze.h>`

Inheritance diagram for iHazeHullCone:

[legend]
List of all members.

## Public Member Functions

virtual void | GetSettings (int &nr, csVector3 &a, csVector3 &b, float &ra, float &rb)=0
| get Cone settings, nr_sides, start, end and radii of those

## Detailed Description

A predefined hull.

Definition at line 97 of file haze.h.

## Member Function Documentation

virtual void iHazeHullCone::GetSettings | ( | int & | nr,
|  | csVector3 & | a,
|  | csVector3 & | b,
|  | float & | ra,
|  | float & | rb
| ) | `[pure virtual]`

| get Cone settings, nr_sides, start, end and radii of those

The documentation for this struct was generated from the following file:

- imesh/haze.h